

    /* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *\
    *                                                                 *
    *   DEVIL Screensaver System 1.05                                 *
    *   Copyright  2005 Sebastian Pipping <webmaster@hartwork.org>   *
    *                                                                 *
    *   --> http://www.hartwork.org                                   *
    *                                                                 *
    *                                                                 *
    *   This source code is released under LGPL.                      *
    *   See LGPL.txt for details.                        2005-09-18   *
    *                                                                 *
    \* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */


/*

	-- COMPILE INFO --
	libs:		MSVCRT.LIB kernel32.lib user32.lib gdi32.lib
	threads:	multi-threaded
	opts:		disable all default libs

*/



#include "Devil.h"
#include "DevilConfig.h"



bool FACE_Live();
void FACE_Die();
LRESULT CALLBACK FACE_Master( HWND, UINT, WPARAM, LPARAM );
void FACE_Render( const double );
void FACE_Config( const HWND );
bool FACE_Init3D();
void FACE_Cleanup3D();
bool FACE_SwitchRes( int *, int *, UINT *, UINT * );
void FACE_RestoreRes();



DEVIL_CONFIG g_CONFIG;

DEVIL_INTERFACE g_FACE =
{
	FACE_Live,				// Live
	FACE_Die,				// Die
	FACE_Master,			// Master
	FACE_Render,			// Render
	NULL,					// Config
	FACE_Init3D,			// Init3D
	FACE_Cleanup3D,			// Cleanup3D
	FACE_SwitchRes,			// SwitchRes
	FACE_RestoreRes,		// RestoreRes
	true,					// bEnableFrameLimiter
	40,						// uMaxFPS
	true,					// bMouseExit
	true,					// bAnyKeyExit

	NULL,					// hwnd
	DEVIL_MODE_UNKNOWN,		// Mode
	NULL,					// Slave
	0.0						// fFPS
};



// ***************************************************************************************
bool FACE_Live()
{
	// YOUR CODE HERE

	return true;
}



// ***************************************************************************************
void FACE_Die()
{
	// YOUR CODE HERE
}



// ***************************************************************************************
LRESULT CALLBACK FACE_Master( HWND hwnd, UINT message, WPARAM wp, LPARAM lp )
{
	// YOUR CODE HERE

	return CallWindowProc( g_FACE.Slave, hwnd, message, wp, lp );
}



// ***************************************************************************************
void FACE_Render( const double fPassedTime )
{
	// YOUR CODE HERE
}



// ***************************************************************************************
void FACE_Config( const HWND hParent )
{
	// YOUR CODE HERE
}



// ***************************************************************************************
bool FACE_Init3D()
{
	// YOUR CODE HERE

	return true;
}



// ***************************************************************************************
void FACE_Cleanup3D()
{
	// YOUR CODE HERE
}



// ***************************************************************************************
bool FACE_SwitchRes( int * x, int * y, UINT * uWidth, UINT * uHeight )
{
	// YOUR CODE HERE

	return true;
}



// ***************************************************************************************
void FACE_RestoreRes()
{
	// YOUR CODE HERE
}
